import fetch from 'utils/fetch';

/**
 * 用户列表
 */
export function appUsersManageList(query) {
  return fetch({
    url: '/api/admin/appUsersManage/findAll',
    method: 'post',
    data: query
  });
}

/**
 * 用户禁用、启用
 */
export function updateStatus(query) {
  return fetch({
    url: '/api/admin/appUsersManage/updateStatus',
    method: 'post',
    data: query
  });
}

/**
 * 发票列表
 */
export function userInvoiceList(query) {
  return fetch({
    url: '/api/website/userInvoice/getList',
    method: 'get',
    data: query
  });
}

/**
 * 用户地址列表
 */
export function userAddressList(query) {
  return fetch({
    url: '/api/website/userAddress/getList',
    method: 'get',
    data: query
  });
}
